Bug 1345789 - [Upgrade] RHEL upgrade from 1.3.2 to 2.0 fails with package dependencies
Summary: [Upgrade] RHEL upgrade from 1.3.2 to 2.0 fails with package dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Ken Dreyer (Red Hat)
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1343229
TreeView+ depends on / blocked
 
Reported: 2016-06-13 08:04 UTC by Tejas
Modified: 2016-08-23 19:41 UTC (History)
5 users (show)

Fixed In Version: ceph-10.2.2-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:41:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
yum update log (16.29 KB, text/plain)
2016-06-15 08:43 UTC, Tejas
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1339870 0 unspecified CLOSED /usr/bin/rados depends on libradosstriper.so.1 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2016:1755 0 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Tejas 2016-06-13 08:04:16 UTC
Description of problem:
From an ceph 1.3.2 ceph cluster which is up and running, When we try an upgrade to Ceph 2.0, seeing a dependency failure

Version-Release number of selected component (if applicable):
Ceph 1.3.2 : ceph-0.94.5-13.el7cp.x86_64 
Ceph 2.0 : 10.2.1-13.el7cp

How reproducible:
Always

Steps to Reproduce:
1. Have a running 1.3.2 ceph cluster
2. All the nodes are updated to RHEL 7.2
3. Do an Ceph-mon or ceph-osd update

Actual results:
"yum update ceph-mon fails

Expected results:
Upgrade is expected to work

Additional info:

Setup:
mon: magna046
osd : magna058, magna077, magna080

[root@magna046 ~]# ceph -s
    cluster 59959161-a6ef-47af-95be-3ef8ace5096a
     health HEALTH_OK
     monmap e1: 1 mons at {magna046=10.8.128.46:6789/0}
            election epoch 2, quorum 0 magna046
     osdmap e33: 6 osds: 6 up, 6 in
      pgmap v218: 192 pgs, 2 pools, 16 bytes data, 3 objects
            205 MB used, 5527 GB / 5527 GB avail
                 192 active+clean
[root@magna046 ~]# 
[root@magna046 ~]# ceph osd tree
ID WEIGHT  TYPE NAME         UP/DOWN REWEIGHT PRIMARY-AFFINITY 
-1 5.39996 root default                                        
-2 1.79999     host magna058                                   
 0 0.89999         osd.0          up  1.00000          1.00000 
 1 0.89999         osd.1          up  1.00000          1.00000 
-3 1.79999     host magna077                                   
 2 0.89999         osd.2          up  1.00000          1.00000 
 3 0.89999         osd.3          up  1.00000          1.00000 
-4 1.79999     host magna080                                   
 4 0.89999         osd.4          up  1.00000          1.00000 
 5 0.89999         osd.5          up  1.00000          1.00000 
[root@magna046 ~]# 
[root@magna046 ~]# ceph -v
ceph version 0.94.5-13.el7cp (246fb2b4b7459217c6b2770b87299a232a52b733)
[root@magna046 ~]#


root@magna046 ~]# lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-noarch:languages-4.1-amd64:languages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch
Distributor ID:	RedHatEnterpriseServer
Description:	Red Hat Enterprise Linux Server release 7.2 (Maipo)
Release:	7.2
Codename:	Maipo


As per doc, disabling ceph 1.3 repos and enables 2.0 repos:

[root@magna077 ~]# 
[root@magna077 ~]# subscription-manager repos --disable=rhel-7-server-rhceph-1.3-osd-rpms --disable=rhel-7-server-rhceph-1.3-installer-rpms --disable=rhel-7-server-rhceph-1.3-calamari-rpms
Repository 'rhel-7-server-rhceph-1.3-osd-rpms' is disabled for this system.
Repository 'rhel-7-server-rhceph-1.3-installer-rpms' is disabled for this system.
Repository 'rhel-7-server-rhceph-1.3-calamari-rpms' is disabled for this system.
[root@magna077 ~]# 
[root@magna077 ~]# 
[root@magna077 ~]#  yum-config-manager --add http://download.eng.bos.redhat.com/devel/candidate-trees/Ceph-2-RHEL-7-20160606.0/compose/OSD/x86_64/os/
Loaded plugins: fastestmirror, langpacks, priorities, product-id
adding repo from: http://download.eng.bos.redhat.com/devel/candidate-trees/Ceph-2-RHEL-7-20160606.0/compose/OSD/x86_64/os/

[download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_]
name=added from: http://download.eng.bos.redhat.com/devel/candidate-trees/Ceph-2-RHEL-7-20160606.0/compose/OSD/x86_64/os/
baseurl=http://download.eng.bos.redhat.com/devel/candidate-trees/Ceph-2-RHEL-7-20160606.0/compose/OSD/x86_64/os/
enabled=1


[root@magna077 ~]# 
[root@magna077 ~]# 
[root@magna077 ~]# yum update ceph-osd
Loaded plugins: fastestmirror, langpacks, priorities, product-id, search-disabled-repos, subscription-manager
download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_                                                                                           | 4.1 kB  00:00:00     
lab-extras                                                                                                                                                                                  |  951 B  00:00:00     
rhel-7-fcgi-ceph                                                                                                                                                                            |  951 B  00:00:00     
rhel-7-server-extras-rpms                                                                                                                                                                   | 2.9 kB  00:00:00     
rhel-7-server-optional-rpms                                                                                                                                                                 | 3.5 kB  00:00:00     
rhel-7-server-rpms                                                                                                                                                                          | 3.7 kB  00:00:00     
(1/2): download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_/group_gz                                                                           |  432 B  00:00:00     
(2/2): download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_/primary_db                                                                         |  30 kB  00:00:00     
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package ceph-osd.x86_64 1:0.94.5-13.el7cp will be updated
---> Package ceph-osd.x86_64 1:10.2.1-13.el7cp will be an update
--> Processing Dependency: ceph-base = 1:10.2.1-13.el7cp for package: 1:ceph-osd-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libboost_iostreams-mt.so.1.53.0()(64bit) for package: 1:ceph-osd-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libboost_random-mt.so.1.53.0()(64bit) for package: 1:ceph-osd-10.2.1-13.el7cp.x86_64
--> Running transaction check
---> Package boost-iostreams.x86_64 0:1.53.0-25.el7 will be installed
---> Package boost-random.x86_64 0:1.53.0-25.el7 will be installed
---> Package ceph-base.x86_64 1:10.2.1-13.el7cp will be installed
--> Processing Dependency: ceph-common = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: ceph-selinux = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libcephfs1 = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: librados2 = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: librbd1 = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: librgw2 = 1:10.2.1-13.el7cp for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: parted >= 3.1-26 for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libcephfs.so.1()(64bit) for package: 1:ceph-base-10.2.1-13.el7cp.x86_64
--> Running transaction check
---> Package ceph-common.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: ceph-common = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package ceph-common.x86_64 1:10.2.1-13.el7cp will be an update
--> Processing Dependency: python-cephfs = 1:10.2.1-13.el7cp for package: 1:ceph-common-10.2.1-13.el7cp.x86_64
--> Processing Dependency: python-rados = 1:10.2.1-13.el7cp for package: 1:ceph-common-10.2.1-13.el7cp.x86_64
--> Processing Dependency: python-rbd = 1:10.2.1-13.el7cp for package: 1:ceph-common-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libboost_regex-mt.so.1.53.0()(64bit) for package: 1:ceph-common-10.2.1-13.el7cp.x86_64
--> Processing Dependency: libradosstriper.so.1()(64bit) for package: 1:ceph-common-10.2.1-13.el7cp.x86_64
---> Package ceph-selinux.x86_64 1:0.94.5-13.el7cp will be updated
---> Package ceph-selinux.x86_64 1:10.2.1-13.el7cp will be an update
---> Package libcephfs1.x86_64 1:10.2.1-13.el7cp will be installed
---> Package librados2.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: librados2 = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package librados2.x86_64 1:10.2.1-13.el7cp will be an update
---> Package librbd1.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: librbd1 = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package librbd1.x86_64 1:10.2.1-13.el7cp will be an update
---> Package librgw2.x86_64 1:10.2.1-13.el7cp will be installed
---> Package parted.x86_64 0:3.1-23.el7 will be updated
---> Package parted.x86_64 0:3.1-26.el7 will be an update
--> Running transaction check
---> Package boost-regex.x86_64 0:1.53.0-25.el7 will be installed
---> Package ceph-common.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: ceph-common = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package librados2.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: librados2 = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package libradosstriper1.x86_64 1:10.2.1-13.el7cp will be installed
---> Package librbd1.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: librbd1 = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package python-cephfs.x86_64 1:10.2.1-13.el7cp will be installed
---> Package python-rados.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: python-rados = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package python-rados.x86_64 1:10.2.1-13.el7cp will be an update
---> Package python-rbd.x86_64 1:0.94.5-13.el7cp will be updated
--> Processing Dependency: python-rbd = 1:0.94.5-13.el7cp for package: 1:ceph-0.94.5-13.el7cp.x86_64
---> Package python-rbd.x86_64 1:10.2.1-13.el7cp will be an update
--> Finished Dependency Resolution
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: python-rados = 1:0.94.5-13.el7cp
           Removing: 1:python-rados-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               python-rados = 1:0.94.5-13.el7cp
           Updated By: 1:python-rados-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               python-rados = 1:10.2.1-13.el7cp
           Available: 1:python-rados-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               python-rados = 1:0.80.7-2.el7
           Available: 1:python-rados-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               python-rados = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: librados2 = 1:0.94.5-13.el7cp
           Removing: 1:librados2-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               librados2 = 1:0.94.5-13.el7cp
           Updated By: 1:librados2-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               librados2 = 1:10.2.1-13.el7cp
           Available: 1:librados2-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-2.el7
           Available: 1:librados2-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: python-rbd = 1:0.94.5-13.el7cp
           Removing: 1:python-rbd-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               python-rbd = 1:0.94.5-13.el7cp
           Updated By: 1:python-rbd-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               python-rbd = 1:10.2.1-13.el7cp
           Available: 1:python-rbd-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               python-rbd = 1:0.80.7-2.el7
           Available: 1:python-rbd-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               python-rbd = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: librbd1 = 1:0.94.5-13.el7cp
           Removing: 1:librbd1-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               librbd1 = 1:0.94.5-13.el7cp
           Updated By: 1:librbd1-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               librbd1 = 1:10.2.1-13.el7cp
           Available: 1:librbd1-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               librbd1 = 1:0.80.7-2.el7
           Available: 1:librbd1-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               librbd1 = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: ceph-common = 1:0.94.5-13.el7cp
           Removing: 1:ceph-common-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               ceph-common = 1:0.94.5-13.el7cp
           Updated By: 1:ceph-common-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               ceph-common = 1:10.2.1-13.el7cp
           Available: 1:ceph-common-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               ceph-common = 1:0.80.7-2.el7
           Available: 1:ceph-common-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               ceph-common = 1:0.80.7-3.el7
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: python-rados = 1:0.94.5-13.el7cp
           Removing: 1:python-rados-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               python-rados = 1:0.94.5-13.el7cp
           Updated By: 1:python-rados-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               python-rados = 1:10.2.1-13.el7cp
           Available: 1:python-rados-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               python-rados = 1:0.80.7-2.el7
           Available: 1:python-rados-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               python-rados = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: librados2 = 1:0.94.5-13.el7cp
           Removing: 1:librados2-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               librados2 = 1:0.94.5-13.el7cp
           Updated By: 1:librados2-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               librados2 = 1:10.2.1-13.el7cp
           Available: 1:librados2-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-2.el7
           Available: 1:librados2-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: python-rbd = 1:0.94.5-13.el7cp
           Removing: 1:python-rbd-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               python-rbd = 1:0.94.5-13.el7cp
           Updated By: 1:python-rbd-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               python-rbd = 1:10.2.1-13.el7cp
           Available: 1:python-rbd-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               python-rbd = 1:0.80.7-2.el7
           Available: 1:python-rbd-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               python-rbd = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: librbd1 = 1:0.94.5-13.el7cp
           Removing: 1:librbd1-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               librbd1 = 1:0.94.5-13.el7cp
           Updated By: 1:librbd1-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               librbd1 = 1:10.2.1-13.el7cp
           Available: 1:librbd1-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               librbd1 = 1:0.80.7-2.el7
           Available: 1:librbd1-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               librbd1 = 1:0.80.7-3.el7
Error: Package: 1:ceph-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
           Requires: ceph-common = 1:0.94.5-13.el7cp
           Removing: 1:ceph-common-0.94.5-13.el7cp.x86_64 (@rhel-7-server-rhceph-1.3-osd-rpms)
               ceph-common = 1:0.94.5-13.el7cp
           Updated By: 1:ceph-common-10.2.1-13.el7cp.x86_64 (download.eng.bos.redhat.com_devel_candidate-trees_Ceph-2-RHEL-7-20160606.0_compose_OSD_x86_64_os_)
               ceph-common = 1:10.2.1-13.el7cp
           Available: 1:ceph-common-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               ceph-common = 1:0.80.7-2.el7
           Available: 1:ceph-common-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               ceph-common = 1:0.80.7-3.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@magna077 ~]#

Comment 3 shilpa 2016-06-14 07:31:11 UTC
While trying to update from 10.2.1-7 to 10.2.1-18,the update fails with the following error:


Error: Package: 1:ceph-10.2.1-7.el7cp.x86_64 (@CEPH-2)
           Requires: ceph-mds = 1:10.2.1-7.el7cp
           Removing: 1:ceph-mds-10.2.1-7.el7cp.x86_64 (@CEPH-2)
               ceph-mds = 1:10.2.1-7.el7cp
           Updated By: 1:ceph-mds-10.2.1-18.el7cp.x86_64 (Server-RH7-CEPH-TOOLS-2)
               ceph-mds = 1:10.2.1-18.el7cp
Error: Package: 1:ceph-10.2.1-7.el7cp.x86_64 (@CEPH-2)
           Requires: ceph-osd = 1:10.2.1-7.el7cp
           Removing: 1:ceph-osd-10.2.1-7.el7cp.x86_64 (@CEPH-2)
               ceph-osd = 1:10.2.1-7.el7cp
           Updated By: 1:ceph-osd-10.2.1-18.el7cp.x86_64 (Server-RH7-CEPH-OSD-2)
               ceph-osd = 1:10.2.1-18.el7cp
Error: Package: 1:libradosstriper1-10.2.1-7.el7cp.x86_64 (@CEPH-2)
           Requires: librados2 = 1:10.2.1-7.el7cp
           Removing: 1:librados2-10.2.1-7.el7cp.x86_64 (@CEPH-2)
               librados2 = 1:10.2.1-7.el7cp
           Updated By: 1:librados2-10.2.1-18.el7cp.x86_64 (Server-RH7-CEPH-MON-2)
               librados2 = 1:10.2.1-18.el7cp
           Available: 1:librados2-0.80.7-2.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-2.el7
           Available: 1:librados2-0.80.7-3.el7.x86_64 (rhel-7-server-rpms)
               librados2 = 1:0.80.7-3.el7
Error: Package: 1:ceph-10.2.1-7.el7cp.x86_64 (@CEPH-2)
           Requires: ceph-mon = 1:10.2.1-7.el7cp
           Removing: 1:ceph-mon-10.2.1-7.el7cp.x86_64 (@CEPH-2)
               ceph-mon = 1:10.2.1-7.el7cp
           Updated By: 1:ceph-mon-10.2.1-18.el7cp.x86_64 (Server-RH7-CEPH-MON-2)
               ceph-mon = 1:10.2.1-18.el7cp

Comment 4 Harish NV Rao 2016-06-14 09:57:57 UTC
This defect is blocking upgrade testing. Need this to be fixed in 2.0.

Comment 6 Samuel Just 2016-06-14 18:03:54 UTC

*** This bug has been marked as a duplicate of bug 1339870 ***

Comment 7 Tejas 2016-06-15 08:43:23 UTC
Created attachment 1168247 [details]
yum update log

Comment 9 Samuel Just 2016-06-15 15:01:28 UTC
This is a completely different issue from the original one, Ken is going to take a look.

Comment 10 Ken Dreyer (Red Hat) 2016-06-15 15:50:51 UTC
I'm testing a scratch build with "Obsoletes: ceph < %{epoch}:10" for ceph-base to see if this fixes the issue.

Comment 15 errata-xmlrpc 2016-08-23 19:41:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.